Subject: Re: size of git repository (was Re: [BUG] New Kernel Bugs)

From: Rene Herman <[email-masked]>
Date: Sun, 18 Nov 2007 16:19:56 +0100

On 18-11-07 15:35, James Bottomley wrote:

>> clean-cg? But failure to run "git repack -a -d" every once in a while?
> 
> Actually, the best command is
> 
> git gc
> 
> which does a repack (into a single pack file rather than an incremenal), 
> and then removes all the objects now in the pack.  If, like me, you work 
> on temporary branches which you keep rebasing, you can add a --prune to 
> gc which will erase all unreferenced objects as it packs (use this one 
> with care.  I usually never use it but run a git prune -n just to see 
> what would be removed, and then run git prune separately if it looks OK).

Thanks for the comment. That managed to indeed shave a few extra bytes off 
my already "repack -a -d" packed repo still.

Rene.